diff --git a/tests/language/xforms/recode.at b/tests/language/xforms/recode.at
index cf5036d..a3d662c 100644
--- a/tests/language/xforms/recode.at
+++ b/tests/language/xforms/recode.at
@@ -43,7 +43,7 @@ COMPUTE x8=value(x).
 RECODE x8 (SYSMIS=4).
 LIST x x0 TO x8.
 ])
-AT_CHECK([pspp -O format=csv recode.sps], [0],
+AT_CHECK([$RUNNER $PSPP -O format=csv recode.sps], [0],
   [Table: Data List
 x,x0,x1,x2,x3,x4,x5,x6,x7,x8
 0,0,0,0,0,0,1,0,3,0
@@ -75,7 +75,7 @@ RECODE x (LO THRU HI=3) INTO ix7.
 RECODE x (SYSMIS=4) INTO ix8.
 LIST x ix0 TO ix8.
 ])
-AT_CHECK([pspp -O format=csv recode.sps], [0],
+AT_CHECK([$RUNNER $PSPP -O format=csv recode.sps], [0],
   [Table: Data List
 x,ix0,ix1,ix2,ix3,ix4,ix5,ix6,ix7,ix8
 0,.,.,.,.,.,1,.,3,.
@@ -108,7 +108,7 @@ RECODE x (SYSMIS=4)(ELSE=COPY) INTO cx8.
 RECODE x (5=COPY)(ELSE=22) INTO cx9.
 LIST x cx0 TO cx9.
 ])
-AT_CHECK([pspp -O format=csv recode.sps], [0],
+AT_CHECK([$RUNNER $PSPP -O format=csv recode.sps], [0],
   [Table: Data List
 x,cx0,cx1,cx2,cx3,cx4,cx5,cx6,cx7,cx8,cx9
 0,0,0,0,0,0,1,0,3,0,22.00
@@ -136,7 +136,7 @@ RECODE t ('a'='b')('abcdefghi'='xyz')('abcdefghij'='jklmnopqr') INTO t3.
 RECODE s (MISSING='gone') INTO s3.
 LIST s t s0 TO s3 t0 TO t3.
 ])
-AT_CHECK([pspp -O format=csv recode.sps], [0],
+AT_CHECK([$RUNNER $PSPP -O format=csv recode.sps], [0],
   [Table: Data List
 s,t,s0,s1,s2,s3,t0,t1,t2,t3
 ,,,,xyz ,,,,xyz       ,
@@ -164,7 +164,7 @@ RECODE t ('a'='b')('abcdefghi'='xyz')('abcdefghij'='jklmnopqr')(ELSE=COPY)
     INTO ct3.
 LIST s t cs0 TO cs2 ct0 TO ct3.
 ])
-AT_CHECK([pspp -O format=csv recode.sps], [0],
+AT_CHECK([$RUNNER $PSPP -O format=csv recode.sps], [0],
   [Table: Data List
 s,t,cs0,cs1,cs2,ct0,ct1,ct2,ct3
 ,,,,xyz ,,,xyz       ,
@@ -190,7 +190,7 @@ RECODE s t (' '=0)(CONVERT)('abcd'=1) INTO ns1 nt1.
 RECODE s t ('1x'=1)('abcd'=2)(ELSE=3) INTO ns2 nt2.
 LIST s t ns0 TO ns2 nt0 TO nt2.
 ])
-AT_CHECK([pspp -O format=csv recode.sps], [0],
+AT_CHECK([$RUNNER $PSPP -O format=csv recode.sps], [0],
   [Table: Data List
 s,t,ns0,ns1,ns2,nt0,nt1,nt2
 ,,.,0,3,.,0,3
@@ -216,7 +216,7 @@ RECODE x (0,1,3,5,7,MISSING='xxx') INTO sx1.
 RECODE x (2 THRU 6,SYSMIS='xyz')(ELSE='foobar') INTO sx2.
 LIST x sx0 TO sx2.
 ])
-AT_CHECK([pspp -O format=csv recode.sps], [0],
+AT_CHECK([$RUNNER $PSPP -O format=csv recode.sps], [0],
   [Table: Data List
 x,sx0,sx1,sx2
 0,,xxx       ,foobar    @&t@
@@ -250,7 +250,7 @@ RECODE A ("1"="3") ("3"="1") (ELSE=COPY).
 EXECUTE.
 LIST.
 ])
-AT_CHECK([pspp -O format=csv recode.sps], [0],
+AT_CHECK([$RUNNER $PSPP -O format=csv recode.sps], [0],
   [Table: Reading free-form data from INLINE.
 Variable,Format
 A,A1
@@ -281,7 +281,7 @@ RECODE A ("1"="3") ("3"="1") (ELSE=COPY) INTO a1.
 EXECUTE.
 LIST.
 ])
-AT_CHECK([pspp -O format=csv recode.sps], [0],
+AT_CHECK([$RUNNER $PSPP -O format=csv recode.sps], [0],
   [Table: Reading free-form data from INLINE.
 Variable,Format
 A,A1
@@ -313,7 +313,7 @@ recode x y ("a" = "first") .
 list.
 ])
 
-AT_CHECK([pspp -O format=csv recode.sps], [1], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv recode.sps], [1], [dnl
 "error: Cannot recode because the variable x would require a width of 5 bytes or greater, but it has a width of only 1 bytes."
 
 Table: Data List
diff --git a/tests/language/xforms/sample.at b/tests/language/xforms/sample.at
index 912fb4f..ff8040e 100644
--- a/tests/language/xforms/sample.at
+++ b/tests/language/xforms/sample.at
@@ -20,8 +20,8 @@ end data.
 sample .5.
 list.
 ])
-AT_CHECK([pspp -o pspp.csv sample.sps])
-AT_CAPTURE_FILE([pspp.csv])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv sample.sps])
+AT_CAPTURE_FILE([$RUNNER $PSPP.csv])
 AT_CHECK(
   [n=0
    while read line; do
diff --git a/tests/language/xforms/select-if.at b/tests/language/xforms/select-if.at
index 44ac01d..ccebc53 100644
--- a/tests/language/xforms/select-if.at
+++ b/tests/language/xforms/select-if.at
@@ -25,7 +25,7 @@ compute filter_$ = 1 - filter_$.
 filter by filter_$.
 list.
 ])
-AT_CHECK([pspp -o pspp.csv filter.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv filter.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 Table: Data List
 X,FILTER_$
diff --git a/tests/libpspp/float-format.at b/tests/libpspp/float-format.at
index e84166c..107c520 100644
--- a/tests/libpspp/float-format.at
+++ b/tests/libpspp/float-format.at
@@ -94,5 +94,5 @@ s/^[ 	]*//
 s/[ 	]*$//
 /^$/d
 s/^\(..*\)$/DEBUG FLOAT FORMAT \1./' < float-format.txt > float-format.sps])
-AT_CHECK([pspp --testing-mode -O format=csv float-format.sps])
+AT_CHECK([$RUNNER $PSPP --testing-mode -O format=csv float-format.sps])
 AT_CLEANUP
diff --git a/tests/math/moments.at b/tests/math/moments.at
index 774d17b..df333c2 100644
--- a/tests/math/moments.at
+++ b/tests/math/moments.at
@@ -18,7 +18,7 @@ m4_define([TEST_MOMENTS],
    AT_DATA([moments.sps],
 [m4_foreach([pair], [MOMENTS_TESTCASES], [DEBUG MOMENTS $2/m4_car(pair).
 ])])
-   AT_CHECK([pspp --testing-mode --no-output moments.sps], [0], 
+   AT_CHECK([$RUNNER $PSPP --testing-mode --no-output moments.sps], [0], 
   [],
   [m4_foreach([pair], [MOMENTS_TESTCASES], [m4_argn([2], pair)
 ])])
diff --git a/tests/math/randist.at b/tests/math/randist.at
index afc1185..86853d5 100644
--- a/tests/math/randist.at
+++ b/tests/math/randist.at
@@ -79,7 +79,7 @@ END IF.
 PRINT OUTFILE='$1.out'/P $2 x $3.
 EXECUTE.
 ])
-   AT_CHECK([pspp -O format=csv $1.sps])
+   AT_CHECK([$RUNNER $PSPP -O format=csv $1.sps])
    AT_CHECK([$PERL compare.pl $1.in $1.out])
    AT_CLEANUP])
 
diff --git a/tests/output/ascii.at b/tests/output/ascii.at
index b4de688..d786fdb 100644
--- a/tests/output/ascii.at
+++ b/tests/output/ascii.at
@@ -596,7 +596,7 @@ REGRESSION
 /DEPENDENT= x y
 /STATISTICS=COEFF R ANOVA.
 ])
-AT_CHECK([pspp ascii.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP ascii.sps], [0], [dnl
 SET PRINTBACK=ON.
 
 DATA LIST LIST /x * y * a (a23).
@@ -643,7 +643,7 @@ DESCRIPTIVES X.
 ])
 
 
-AT_CHECK([pspp -O box=unicode uc.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O box=unicode uc.sps], [0], [dnl
 Valid cases = 3; cases with missing value(s) = 0.
 ╭────────╥─┬──────┬───────┬───────┬───────╮
 │Variable║N│ Mean │Std Dev│Minimum│Maximum│
diff --git a/tests/output/charts.at b/tests/output/charts.at
index 59ad8ca..378d18c 100644
--- a/tests/output/charts.at
+++ b/tests/output/charts.at
@@ -33,7 +33,7 @@ examine x y by a
 	.
 ])
 
-AT_CHECK([pspp -o pspp.txt charts.sps], [0], [ignore])
+AT_CHECK([$RUNNER $PSPP -o pspp.txt charts.sps], [0], [ignore])
 
 AT_CLEANUP
 
@@ -85,7 +85,7 @@ ROC /fred bert charlie by group (0)
 
 ])
 
-AT_CHECK([pspp -o pspp.txt roc.sps], [0], [ignore])
+AT_CHECK([$RUNNER $PSPP -o pspp.txt roc.sps], [0], [ignore])
 
 AT_CLEANUP
 
@@ -115,7 +115,7 @@ factor /variables = all
 
 ])
 
-AT_CHECK([pspp -o pspp.txt scree.sps], [0], [ignore])
+AT_CHECK([$RUNNER $PSPP -o pspp.txt scree.sps], [0], [ignore])
 
 AT_CLEANUP
 
@@ -152,7 +152,7 @@ frequencies pos neg pn
 
 
 dnl The --testing-mode flag is important!!
-AT_CHECK([pspp --testing-mode -o pspp.txt histogram.sps], [0], [ignore])
+AT_CHECK([$RUNNER $PSPP --testing-mode -o pspp.txt histogram.sps], [0], [ignore])
 
 AT_CLEANUP
 
@@ -189,7 +189,7 @@ FREQUENCIES /VARIABLES=religion nationality /BARCHART /PIECHART.
 ])
 
 
-AT_CHECK([pspp  -o pspp.txt xxx.sps], [0], [ignore])
+AT_CHECK([$RUNNER $PSPP  -o pspp.txt xxx.sps], [0], [ignore])
 
 AT_CLEANUP
 
@@ -232,7 +232,7 @@ CROSSTABS
 ])
 
 
-AT_CHECK([pspp  -o pspp.txt xxx.sps], [0], [ignore])
+AT_CHECK([$RUNNER $PSPP  -o pspp.txt xxx.sps], [0], [ignore])
 
 AT_CLEANUP
 
@@ -256,7 +256,7 @@ EXAMINE
 ])
 
 
-AT_CHECK([pspp -o pspp.txt bp.sps], [0], [ignore])
+AT_CHECK([$RUNNER $PSPP -o pspp.txt bp.sps], [0], [ignore])
 
 AT_CLEANUP
 
diff --git a/tests/output/render.at b/tests/output/render.at
index 9aaef8c..9cb43e7 100644
--- a/tests/output/render.at
+++ b/tests/output/render.at
@@ -2976,7 +2976,7 @@ BEGIN DATA.
 END DATA.
 LIST.
 ])
-AT_CHECK([pspp list.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP list.sps], [0], [dnl
 Data List
 x y z
 -----
diff --git a/tests/output/tables.at b/tests/output/tables.at
index 10b321a..e790821 100644
--- a/tests/output/tables.at
+++ b/tests/output/tables.at
@@ -28,7 +28,7 @@ t-test /PAIRS a with b (PAIRED).
 
 ]])
 
-AT_CHECK([pspp -O format=csv prec.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv prec.sps], [0], [dnl
 Table: Paired Sample Statistics
 ,,Mean,N,Std. Deviation,S.E. Mean
 Pair 1,A,2.00,5,.71,.32
diff --git a/tests/perl-module.at b/tests/perl-module.at
index 5424d10..a242796 100644
--- a/tests/perl-module.at
+++ b/tests/perl-module.at
@@ -59,7 +59,7 @@ DISPLAY DOCUMENTS.
 DISPLAY DICTIONARY.
 SHOW WEIGHT.
 ])
-AT_CHECK([pspp -O format=csv dump-dict.sps], [0],
+AT_CHECK([$RUNNER $PSPP -O format=csv dump-dict.sps], [0],
   [File label: My Dictionary
 
 Documents in the active dataset:
@@ -136,7 +136,7 @@ DISPLAY FILE LABEL.
 DISPLAY DOCUMENTS.
 LIST.
 ])
-AT_CHECK([pspp -O format=csv dump-dicts.sps], [0],
+AT_CHECK([$RUNNER $PSPP -O format=csv dump-dicts.sps], [0],
   [Variable,Description,Position
 id,Format: F2.0,1
 name,Format: A20,2
@@ -217,7 +217,7 @@ AT_DATA([dump-dict.sps],
   [GET FILE='testfile.sav'.
 DISPLAY DICTIONARY.
 ])
-AT_CHECK([pspp -O format=csv dump-dict.sps], [0],
+AT_CHECK([$RUNNER $PSPP -O format=csv dump-dict.sps], [0],
   [Variable,Description,Position
 integer,"Label: My Integer
 Format: F8.0
@@ -309,7 +309,7 @@ variable attribute
 
 save outfile='sample.sav'.
 ]])
-   AT_CHECK([pspp -O format=csv sample.sps])])
+   AT_CHECK([$RUNNER $PSPP -O format=csv sample.sps])])
 
 AT_SETUP([Perl read system file])
 AT_SKIP_IF([test "$WITH_PERL_MODULE" = no])
@@ -434,7 +434,7 @@ GET FILE='copy.sav'.
 DISPLAY DICTIONARY.
 LIST.
 ])
-AT_CHECK([pspp -O format=csv dump-dicts.sps], [0],
+AT_CHECK([$RUNNER $PSPP -O format=csv dump-dicts.sps], [0],
   [[Variable,Description,Position
 string,"Label: A Short String Variable
 Format: A8
@@ -529,7 +529,7 @@ END DATA.
 
 SAVE OUTFILE='dd.sav'.
 ])
-AT_CHECK([pspp -O format=csv dd.sps], [0],
+AT_CHECK([$RUNNER $PSPP -O format=csv dd.sps], [0],
   [Table: Reading free-form data from INLINE.
 Variable,Format
 d,DATETIME17.0
diff --git a/tests/ui/terminal/main.at b/tests/ui/terminal/main.at
index 128ad41..35dae55 100644
--- a/tests/ui/terminal/main.at
+++ b/tests/ui/terminal/main.at
@@ -1,7 +1,7 @@
 AT_BANNER([PSPP terminal UI])
 
 AT_SETUP([nonexistent syntax file crash])
-AT_CHECK([pspp nonexistent], [1], 
+AT_CHECK([$RUNNER $PSPP nonexistent], [1], 
   [error: Opening `nonexistent': No such file or directory.
 ])
 AT_CLEANUP
@@ -18,7 +18,7 @@ END IF.
 END INPUT PROGRAM.
 EXECUTE.
 ])
-AT_CHECK([pspp main.sps & sleep 1; kill $!; wait $!], [143], [], [ignore])
+AT_CHECK([$RUNNER $PSPP main.sps & sleep 1; kill $!; wait $!], [143], [], [ignore])
 AT_CLEANUP
 
 AT_SETUP([SIGSEGV yields error report])
@@ -48,6 +48,6 @@ ECHO 'This is a test'.
 FINISH.
 ])
 
-AT_CHECK([pspp --syntax=enhanced main.sps], [0], [ignore])
+AT_CHECK([$RUNNER $PSPP --syntax=enhanced main.sps], [0], [ignore])
 
 AT_CLEANUP
-- 
2.1.4

